Deposit routes
4 operations under deposit-routes. Examples read $API and $KEY from your shell.
- GET /v1/deposit-routes
- POST /v1/deposit-routes
- GET /v1/deposit-routes/{id}
- POST /v1/deposit-routes/{id}/disable
GET /v1/deposit-routes
Parameters
statusstring optional in query, one of active, disabledlimitinteger required in querystarting_afterstring optional in query
Responses
200 Default Response
object
dataarray requiredEach item:
idstring requiredoriginstring required one ofkyb_approval,apistatusstring required one ofactive,disabledlabelstring required (nullable)deposit_instructionsobject requiredwireobject requiredrailstring required one ofwirebank_namestring requiredaccount_numberstring requiredreferencestring required
stellarobject required (nullable)railstring required one ofstellarmuxed_addressstring required
destinationobject required (nullable)typestring required one ofstellarcounterparty_idstring required
created_atstring requireddisabled_atstring required (nullable)
has_moreboolean required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/deposit-routes?limit=1" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/deposit-routes", {
params: { query: { limit: 1 } },
});POST /v1/deposit-routes
Send an Idempotency-Key header on every POST so a retry never repeats the request.
Request body
application/json, required
object
destinationobject requiredtypestring required one ofstellarcounterparty_idstring required
labelstring optional
Responses
201 Default Response
object
idstring requiredoriginstring required one ofkyb_approval,apistatusstring required one ofactive,disabledlabelstring required (nullable)deposit_instructionsobject requiredwireobject requiredrailstring required one ofwirebank_namestring requiredaccount_numberstring requiredreferencestring required
stellarobject required (nullable)railstring required one ofstellarmuxed_addressstring required
destinationobject required (nullable)typestring required one ofstellarcounterparty_idstring required
created_atstring requireddisabled_atstring required (nullable)
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X POST \
"$API/v1/deposit-routes" \
-H "authorization: Bearer $KEY" \
-H "idempotency-key: $(uuidgen)" \
-H "content-type: application/json" \
-d '{"destination":{"type":"stellar","counterparty_id":"<counterparty_id>"}}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key and an Idempotency-Key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.POST("/v1/deposit-routes", {
body: {
"destination": {
"type": "stellar",
"counterparty_id": "<counterparty_id>"
}
},
});GET /v1/deposit-routes/{id}
Parameters
idstring required in path
Responses
200 Default Response
object
idstring requiredoriginstring required one ofkyb_approval,apistatusstring required one ofactive,disabledlabelstring required (nullable)deposit_instructionsobject requiredwireobject requiredrailstring required one ofwirebank_namestring requiredaccount_numberstring requiredreferencestring required
stellarobject required (nullable)railstring required one ofstellarmuxed_addressstring required
destinationobject required (nullable)typestring required one ofstellarcounterparty_idstring required
created_atstring requireddisabled_atstring required (nullable)
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/deposit-routes/$ID" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/deposit-routes/{id}", {
params: { path: { id: "<id>" } },
});POST /v1/deposit-routes/{id}/disable
Send an Idempotency-Key header on every POST so a retry never repeats the request.
Parameters
idstring required in path
Request body
application/json, required
object
Responses
200 Default Response
object
idstring requiredoriginstring required one ofkyb_approval,apistatusstring required one ofactive,disabledlabelstring required (nullable)deposit_instructionsobject requiredwireobject requiredrailstring required one ofwirebank_namestring requiredaccount_numberstring requiredreferencestring required
stellarobject required (nullable)railstring required one ofstellarmuxed_addressstring required
destinationobject required (nullable)typestring required one ofstellarcounterparty_idstring required
created_atstring requireddisabled_atstring required (nullable)
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X POST \
"$API/v1/deposit-routes/$ID/disable" \
-H "authorization: Bearer $KEY" \
-H "idempotency-key: $(uuidgen)" \
-H "content-type: application/json" \
-d '{}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key and an Idempotency-Key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.POST("/v1/deposit-routes/{id}/disable", {
params: { path: { id: "<id>" } },
body: {},
});